Bug 1573837 - [abrt] evolution-data-server: g_wakeup_new(): evolution-source-registry killed by SIGTRAP
Summary: [abrt] evolution-data-server: g_wakeup_new(): evolution-source-registry kille...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-data-server
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milan Crha
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5fce22511b683d64b088896ddb6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 10:53 UTC by Brian J. Murrell
Modified: 2018-11-30 21:22 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:22:47 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (66.52 KB, text/plain)
2018-05-02 10:53 UTC, Brian J. Murrell
no flags Details
File: cgroup (231 bytes, text/plain)
2018-05-02 10:53 UTC, Brian J. Murrell
no flags Details
File: core_backtrace (28.04 KB, text/plain)
2018-05-02 10:53 UTC, Brian J. Murrell
no flags Details
File: cpuinfo (1.20 KB, text/plain)
2018-05-02 10:53 UTC, Brian J. Murrell
no flags Details
File: dso_list (17.35 KB, text/plain)
2018-05-02 10:53 UTC, Brian J. Murrell
no flags Details
File: environ (3.12 KB, text/plain)
2018-05-02 10:53 UTC, Brian J. Murrell
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-02 10:53 UTC, Brian J. Murrell
no flags Details
File: maps (80.56 KB, text/plain)
2018-05-02 10:53 UTC, Brian J. Murrell
no flags Details
File: mountinfo (8.12 KB, text/plain)
2018-05-02 10:53 UTC, Brian J. Murrell
no flags Details
File: open_fds (91.73 KB, text/plain)
2018-05-02 10:53 UTC, Brian J. Murrell
no flags Details
File: proc_pid_status (1.30 KB, text/plain)
2018-05-02 10:53 UTC, Brian J. Murrell
no flags Details

Description Brian J. Murrell 2018-05-02 10:53:32 UTC
Version-Release number of selected component:
evolution-data-server-3.26.6-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-source-registry
crash_function: g_wakeup_new
executable:     /usr/libexec/evolution-source-registry
journald_cursor: s=71a2032693a94e5fa8600244bc6f8173;i=7c74b3;b=deb2015e5c4043e18d46119e78bc94ef;m=11e3cc7ab1b;t=56b127a6eed4e;x=2a399dd8d9850fd4
kernel:         4.15.15-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 1 Brian J. Murrell 2018-05-02 10:53:38 UTC
Created attachment 1429888 [details]
File: backtrace

Comment 2 Brian J. Murrell 2018-05-02 10:53:39 UTC
Created attachment 1429889 [details]
File: cgroup

Comment 3 Brian J. Murrell 2018-05-02 10:53:40 UTC
Created attachment 1429890 [details]
File: core_backtrace

Comment 4 Brian J. Murrell 2018-05-02 10:53:41 UTC
Created attachment 1429891 [details]
File: cpuinfo

Comment 5 Brian J. Murrell 2018-05-02 10:53:43 UTC
Created attachment 1429892 [details]
File: dso_list

Comment 6 Brian J. Murrell 2018-05-02 10:53:44 UTC
Created attachment 1429893 [details]
File: environ

Comment 7 Brian J. Murrell 2018-05-02 10:53:45 UTC
Created attachment 1429894 [details]
File: limits

Comment 8 Brian J. Murrell 2018-05-02 10:53:47 UTC
Created attachment 1429895 [details]
File: maps

Comment 9 Brian J. Murrell 2018-05-02 10:53:48 UTC
Created attachment 1429896 [details]
File: mountinfo

Comment 10 Brian J. Murrell 2018-05-02 10:53:50 UTC
Created attachment 1429897 [details]
File: open_fds

Comment 11 Brian J. Murrell 2018-05-02 10:53:51 UTC
Created attachment 1429898 [details]
File: proc_pid_status

Comment 12 Brian J. Murrell 2018-05-02 10:57:34 UTC
I noticed the:

#1  0x00007f8a09ec17ac in g_log_default_handler (log_domain=log_domain@entry=0x7f8a09f02fae "GLib", log_level=log_level@entry=6, message=message@entry=0x7f899c0c8050 "Creating pipes for GWakeup: Too many open files\n", unused_data=unused_data@entry=0x0) at gmessages.c:3051

But is crashing really the best way to handle this?

Comment 13 Milan Crha 2018-05-02 12:47:38 UTC
Thanks for a bug report. It's the way glib (glib2 package) developers decided to behave. It usually points to a memory leak of some object which also contains that handle. That was the case in the past at least.

Your open_fds shows tons of "eventfd" handlers, which are usually tight to the GWeakup or such, if I recall correctly. The hardest thing is to figure out after what action the list of opened files increases. As your crash happened in the evolution-source-registry, then it'll be "slightly harder". And as 3.26.6 is out for quite some time, I'm unsure whether this is related to evolution-data-server (eds) itself, because I'd expect this strike sooner. But it's only my opinion, it can be all in eds, only the conditions for the reproducer didn't happen yet.

You can get the list of opened files with:
  $ lsof -p `pidof evolution-source-registry` | sort >/tmp/a
then wait for a bit of time and rerun to the command, only to a different file:
  $ lsof -p `pidof evolution-source-registry` | sort >/tmp/b
then you can "analyse" the changes with:

  $ cat /tmp/a | wc -l
  $ cat /tmp/b | wc -l

  $ cat /tmp/a | grep -c eventfd
  $ cat /tmp/b | grep -c eventfd

and when the counts increase, supposing what action had been done during the two calls, it can help to chase the issue.

Comment 14 Ben Cotton 2018-11-27 15:55:21 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2018-11-30 21:22:47 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.